@import "../../../assets/styles/main.scss";

.frequentlyAskedQuestion_section {
  padding: 0px;
  position: relative;

  &::before {
    content: "";
    position: absolute;
    background-image: unset;
  }

  &.isTopPadding {
    padding: 100px 0px;
    &::before {
      content: "";
      position: absolute;
      bottom: 0px;
      left: 0;
      width: 329px;
      height: 367px;
      background-image: url(https://stagecdn.waosim.com/landingpage/assets/icons/supported_country_object3.svg);
      background-size: contain;
      background-repeat: no-repeat;
      background-position: center;
      z-index: 1;
    }
  }

  .frequently_Asked_Question_main {
    padding-top: 0px;
    position: relative;
    z-index: 9;
    &.isTopPadding {
      padding-top: 20px;
    }

    p {
      text-align: center;
      font-size: 24px;
      @include inter700;
      line-height: 175.023%;
      padding: 50px 0px;
    }
  }
  .accordion {
    grid-template-columns: 50% 50%;
    grid-gap: 20px;
    .accordion_item {
      border: unset;
      margin-bottom: 20px;
      border: 1px solid #d2d2d2;
      border-radius: 17px;
      transition: border 0.2s ease-in-out;

      &.active {
        border-radius: 17px;
        border: 1px solid getColorHex("orange");
        background: getColorHex("white");
        transition: border 0.2s ease-in-out;
        .accordion_header {
          border: unset !important;
        }
      }

      .accordion_header {
        border-radius: 17px;
        background: getColorHex("white");
        position: relative;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
        padding: 16px 20px;
        gap: 10px;
        height: 77px;

        &.isSingleLineHeight {
          padding: 20px;
          height: 70px;
        }

        &:hover {
          cursor: pointer;
        }

        h2 {
          @include inter500;
          font-size: 16px;
          line-height: 31px;
          color: getColorHex("black");
          box-shadow: unset;
          width: fit-content;
          overflow: hidden;
          text-overflow: ellipsis;
          display: -webkit-box;
          -webkit-line-clamp: 2;
          -webkit-box-orient: vertical;
        }

        .dropDownArrowContainer {
          height: 30px;
          width: 30px;
          transition: transform 0.3s ease;

          img {
            height: 100%;
            width: 100%;
          }

          &.dropDownArrowActive {
            transform: rotate(-180deg);
            transition: transform 0.3s ease;
          }
        }
      }
      .accordion_body {
        overflow: hidden;
        color: getColorHex("charcoal");
        text-overflow: ellipsis;
        font-size: 14px;
        line-height: 28px;
        padding: 20px;
        padding-top: 0px;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        height: fit-content;
      }
    }
  }
}
